=== debian/changelog ===
sourmash (4.8.14-3) unstable; urgency=medium

  * Team upload.

  [ Michael R. Crusoe ]
  * d/control: Add the Debian Rust team to the uploaders to signal that
    they should feel free to make new uploads fixing the Rust side of
    this package.

  [ Peter Michal Green ]
  * Remove upper limit from cargo dependency on rkyv (Closes: #1095393).

 -- Andreas Tille <tille@debian.org>  Tue, 11 Feb 2025 17:59:52 +0100

sourmash (4.8.14-2) unstable; urgency=medium

  * Added patch to remove timeout for two tests that were too slow on
    riscv64.
  * d/rules: delete ".gitignore" files from the binary packages
  * Build and install the manual page for sourmash, using sphinx.

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 20 Jan 2025 11:50:45 +0100

sourmash (4.8.14-1) unstable; urgency=medium

  * Initial release. (Closes: #919681)

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 18 Jan 2025 00:03:51 +0100
