=== debian/control ===
Source: sourmash
Section: python
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Michael R. Crusoe <crusoe@debian.org>,
           Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
Build-Depends: debhelper-compat (= 13),
               architecture-is-64-bit,
               architecture-is-little-endian,
               cargo,
               dh-cargo,
               dh-sequence-python3,
               dh-sequence-sphinxdoc <!nodoc>,
               python3-nbsphinx <!nodoc>,
               python3-ipython <!nodoc>,
               python3-myst-parser <!nodoc>,
               python3-sphinx-design <!nodoc>,
               pandoc <!nodoc>,
               librust-az-dev,
               librust-byteorder-dev,
               librust-counter-dev,
               librust-camino-dev,
               librust-cfg-if-dev,
               librust-csv-dev,
               librust-enum-dispatch-dev,
               librust-fixedbitset-dev,
               librust-getset-dev,
               librust-histogram-dev,
               librust-itertools-dev,
               librust-log-dev,
               librust-md5-dev,
               librust-memmap2-dev,
               librust-murmurhash3-dev,
               librust-needletail-dev,
               librust-niffler-dev,
               librust-nohash-hasher-dev,
               librust-num-iter-dev,
               librust-once-cell-dev,
               librust-ouroboros-dev,
               librust-piz-dev,
               librust-primal-check-dev,
               librust-rayon-dev,
               librust-rkyv-dev,
               librust-roaring-dev,
               librust-roots-dev,
               librust-serde+serde-derive-dev,
               librust-serde-json-dev,
               librust-statrs-dev,
               librust-streaming-stats-dev,
               librust-twox-hash-dev,
               librust-typed-builder-dev,
               librust-vec-collections-dev,
               librust-chrono-dev,
               librust-rocksdb-dev,
               pybuild-plugin-pyproject,
               python3-maturin,
               python3-bitstring,
               python3-cachetools,
               python3-cffi,
               python3-all-dev,
	       python3-ijson,
               python3-matplotlib,
               python3-numpy,
               python3-pytest <!nocheck>,
               python3-pytest-xdist <!nocheck>,
               python3-scipy,
	       python3-sphinx,
               python3-screed,
               python3-setuptools,
	       python3-setuptools-scm,
               python3-yaml,
               python3-hypothesis <!nocheck>,
               python3-deprecation <!nocheck>
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/sourmash
Vcs-Git: https://salsa.debian.org/med-team/sourmash.git
Homepage: https://github.com/dib-lab/sourmash
Rules-Requires-Root: no
Testsuite: autopkgtest-pkg-pybuild

Package: sourmash
Architecture: any
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Built-Using: ${cargo:Built-Using}
X-Cargo-Built-Using: ${cargo:X-Cargo-Built-Using}
Static-Built-Using: ${cargo:Static-Built-Using}
Description: tools for comparing DNA sequences with MinHash sketches
 Compute MinHash signatures for nucleotide (DNA/RNA) and protein sequences.
 .
 MinHash sketches provide a lightweight way to store “signatures” of large DNA
 or RNA sequence collections, and then compare or search them using a Jaccard
 index. MinHash sketches can be used to identify samples, find similar samples,
 identify data sets with shared sequences, and build phylogenetic trees
 (Ondov et al. 2015).
 .
 sourmash provides a command line script, a Python library, and a CPython
 module for MinHash sketches.
 .
 These tools provide functionality previously handled by the 'khmer' package.
