## sourmash 4.9.4

=== Makefile ===
--- 
+++ 
@@ -14,12 +14,18 @@
 
 install: build
 
+offline:
+	pip install -e . --no-index --find-links '.' --no-build-isolation
+
 dist: FORCE
 	$(PYTHON) -m build --sdist
 
+wheel:
+	$(PYTHON) -m maturin build -r
+
 test: .PHONY
-	tox -e py310
-	cargo test
+	tox -e py311
+	cargo nextest run
 
 doc: .PHONY
 	tox -e docs
@@ -33,10 +39,12 @@
                     src/core/src/ffi/index/mod.rs \
                     src/core/src/ffi/index/revindex.rs \
                     src/core/src/ffi/storage.rs \
+                    src/core/src/ffi/manifest.rs \
                     src/core/src/errors.rs \
                     src/core/cbindgen.toml
 	cd src/core && \
-	RUSTC_BOOTSTRAP=1 cbindgen -c cbindgen.toml . -o ../../$@
+	RUSTC_BOOTSTRAP=1 cbindgen -c cbindgen.toml . -o ../../$@ -v && \
+	touch ../../$@
 
 coverage: all
 	tox -e coverage
@@ -47,17 +55,17 @@
 
 check:
 	cargo build
-	cargo test
+	cargo nextest run
 	cargo bench
 
 last-tag:
 	git fetch -p -q; git tag -l | sort -V | tail -1
 
 wasm:
-	wasm-pack build src/core -d ../../pkg
+	wasm-pack build src/core -d ../../pkg -- --features 'niffler/wasm'
 
 wasm-test:
-	wasm-pack test --node src/core
+	wasm-pack test --node src/core -- --features 'niffler/wasm'
 
 wasi:
 	cargo wasi build
