=== debian/changelog ===
sourmash (4.9.4-4) unstable; urgency=medium

  * Team upload.
  * Drop <!nocheck> from python3-deprecation in BD. Closes: #1116915.
  * d/control: Drop "Priority: optional". It's the default.
  * d/control: Drop "Rules-Requires-Root: no". It's the default.

 -- Santiago Vila <sanvila@debian.org>  Sun, 12 Oct 2025 20:30:00 +0200

sourmash (4.9.4-3) unstable; urgency=medium

  * Removed the liblzma pin. Closes: #1115589.

 -- Michael R. Crusoe <crusoe@debian.org>  Fri, 19 Sep 2025 19:03:19 +0200

sourmash (4.9.4-2) unstable; urgency=medium

  * Upgrade to needletail 0.6. Closes: #1115342.
  * Upstream uses ouroboros 0.18 which is newly introduced into Debian,
    so use it instead of forcing a downgrade.

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 16 Sep 2025 14:57:17 +0200

sourmash (4.9.4-1) unstable; urgency=medium

  * New upstream version. Closes: #1114393
  * Standards-Version: 4.7.2 (routine-update)
  * Refreshed patches. Dropped "skip_from-finch_feature", upstream
    removed the conversion from Finch in version 4.9.0.
  * Added a new patch to adapt to the older version of the md5 Rust crate in
    Debian.
  * docs: new build-dep of python3-sphinx-copybutton.
  * d/rules: parallelize the pytest respecting DEB_BUILD_OPTION_PARALLEL
  * Install the README
  * d/rules: set MPLCONFIGDIR

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 13 Sep 2025 12:06:13 +0200
