=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: sourmash
 Section: python
-Priority: optional
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Michael R. Crusoe <crusoe@debian.org>,
            Debian Rust Maintainers <pkg-rust-maintainers@alioth-lists.debian.net>
@@ -15,6 +14,7 @@
                python3-ipython <!nodoc>,
                python3-myst-parser <!nodoc>,
                python3-sphinx-design <!nodoc>,
+               python3-sphinx-copybutton <!nodoc>,
                pandoc <!nodoc>,
                librust-az-dev,
                librust-byteorder-dev,
@@ -31,7 +31,7 @@
                librust-md5-dev,
                librust-memmap2-dev,
                librust-murmurhash3-dev,
-               librust-needletail-dev,
+               librust-needletail-dev (>> 0.6),
                librust-niffler-dev,
                librust-nohash-hasher-dev,
                librust-num-iter-dev,
@@ -70,12 +70,11 @@
 	       python3-setuptools-scm,
                python3-yaml,
                python3-hypothesis <!nocheck>,
-               python3-deprecation <!nocheck>
-Standards-Version: 4.7.0
+               python3-deprecation
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/sourmash
 Vcs-Git: https://salsa.debian.org/med-team/sourmash.git
 Homepage: https://github.com/dib-lab/sourmash
-Rules-Requires-Root: no
 Testsuite: autopkgtest-pkg-pybuild
 
 Package: sourmash
