=== debian/rules ===
--- 
+++ 
@@ -4,9 +4,11 @@
 
 include /usr/share/dpkg/default.mk
 include /usr/share/rustc/architecture.mk
+export PYTEST_XDIST_AUTO_NUM_WORKERS=$(DEB_BUILD_OPTION_PARALLEL)
 export CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
 export DEB_HOST_RUST_TYPE DEB_HOST_GNU_TYPE
 export PATH := /usr/share/cargo/bin:$(PATH)
+export MPLCONFIGDIR=$(CURDIR)
 export CARGO=/usr/share/cargo/bin/cargo
 export CARGO_HOME=$(CURDIR)/debian/cargo_home
 export CARGO_REGISTRY=$(CURDIR)/debian/cargo_registry
