=== debian/watch ===
version=4
opts="uversionmangle=s/(rc|a|b|c)/~$1/,filenamemangle=s%.*/@ANY_VERSION@%@PACKAGE@-$1.tar.gz%,searchmode=plain" \
	https://api.github.com/repos/sourmash-bio/sourmash/releases?per_page=100 \
	https://api.github.com/repos/sourmash-bio/sourmash/tarball/@ANY_VERSION@
